GET
/private-cluster/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”List of All Private Cluster
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
ephemeral_storage
integer
gpu_memory
integer
is_free
boolean
is_active
boolean
gpu_switch_type
string
local_storage_in_gb
integer
sku_type
string
gpu_card_type
string
category
string
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number format: float
currency
string
is_active
boolean
description
string
created_by
object
id
integer
name
string
email
string
username
string
updated_at
string format: date-time
created_at
string format: date-time
nodes_count
integer
committed_info
object
errors
object
message
string
total_page_number
integer
total_count
integer
Example
{ "code": 200, "data": [ { "id": 163, "name": "p-cluster-02191709474", "sku_details": { "specs": { "sku_id": 74, "name": "A100", "series": "GPU", "cpu": 1, "gpu": 1, "memory": 40, "ephemeral_storage": 1, "gpu_memory": 0, "is_free": false, "is_active": true, "gpu_switch_type": null, "local_storage_in_gb": 0, "sku_type": "A100", "gpu_card_type": "A100", "category": "private_cloud" }, "plan": { "sku_item_price_id": 195, "sku_type": "hourly", "committed_days": 0, "unit_price": 100, "currency": "INR", "is_active": true, "description": "gpu_private_cloud" } }, "created_by": { "id": 871, "name": "abc", "email": "abc+acl@e2enetworks.com", "username": "abc+acl@e2enetworks.com" }, "updated_at": "2025-02-20T05:31:28.730991Z", "created_at": "2025-02-20T05:31:28.673753Z", "nodes_count": 1, "committed_info": null } ], "errors": {}, "message": "Success", "total_page_number": 1, "total_count": 1}